# Type Alias IHookRegistration

IHookRegistration: (
matchCriteria: HookMatchCriteria,
callback: HookFn,
options?: HookRegOptions,
) => Function

#### Type declaration

- - (
    matchCriteria: HookMatchCriteria,
    callback: HookFn,
    options?: HookRegOptions,
    ): Function

  - #### Parameters

    - matchCriteria: HookMatchCriteria
    - callback: HookFn
    - `Optional` options: HookRegOptions

    #### Returns Function

- Defined in src/router/transition/interface.ts:179